summaryrefslogtreecommitdiffstats
path: root/src/util
diff options
context:
space:
mode:
authorTheodore Tso <tytso@mit.edu>1996-02-25 00:05:32 +0000
committerTheodore Tso <tytso@mit.edu>1996-02-25 00:05:32 +0000
commit64ba46c27843cae04490058e4b6d5bcee8f2edc7 (patch)
tree7448598c68c4a9b9d080b84c494317c276fed1a2 /src/util
parent783deea7bde657e0fc2f46c4dcb18ee2cd03933a (diff)
downloadkrb5-64ba46c27843cae04490058e4b6d5bcee8f2edc7.tar.gz
krb5-64ba46c27843cae04490058e4b6d5bcee8f2edc7.tar.xz
krb5-64ba46c27843cae04490058e4b6d5bcee8f2edc7.zip
Add support for HPUX and Sinix (sys5r4 on mips)
git-svn-id: svn://anonsvn.mit.edu/krb5/trunk@7529 dc483132-0cff-0310-8789-dd5450dbe970
Diffstat (limited to 'src/util')
-rw-r--r--src/util/ChangeLog4
-rw-r--r--src/util/makeshlib.sh26
2 files changed, 30 insertions, 0 deletions
diff --git a/src/util/ChangeLog b/src/util/ChangeLog
index cec08c883..f89448e47 100644
--- a/src/util/ChangeLog
+++ b/src/util/ChangeLog
@@ -1,3 +1,7 @@
+Sat Feb 24 19:03:53 1996 Theodore Y. Ts'o <tytso@dcl>
+
+ * makeshlib.sh: Add support for HPUX and Sinix (sys5r4 on mips).
+
Wed Feb 7 00:26:47 1996 Theodore Y. Ts'o <tytso@dcl>
* Makefile.in: Folded in danw's changes to allow
diff --git a/src/util/makeshlib.sh b/src/util/makeshlib.sh
index 10ec0be81..66d3e2150 100644
--- a/src/util/makeshlib.sh
+++ b/src/util/makeshlib.sh
@@ -29,6 +29,16 @@ case $host in
ld -Bshareable $ldflags -o $library $FILES $libdirfl $liblist
stat=$?
;;
+*-*-hpux*)
+ FILES=`for i
+ do
+ sed -e "s;^;$i/shared/;" -e "s; ; $i/shared/;g" $i/DONE
+ done`
+ ldflags="`echo $ldflags | sed 's/-Wl,+b,/+b /g'`"
+ echo ld -b $ldflags -o $library $FILES $libdirfl $liblist
+ ld -b $ldflags -o $library $FILES $libdirfl $liblist
+ stat=$?
+ ;;
*-*-linux*)
FILES=`for i
do
@@ -39,6 +49,22 @@ case $host in
$CC --shared $ldflags -o $library $FILES $libdirfl $liblist
stat=$?
;;
+mips-sni-sysv4)
+ FILES=`for i
+ do
+ sed -e "s;^;$i/shared/;" -e "s; ; $i/shared/;g" $i/DONE
+ done`
+
+ optflags=""
+ if test "$HAVE_GCC"x = "x" ; then
+ optflags="-h $library"
+ fi
+ ldflags="`echo $ldflags | sed -e 's/-R /-R/g'`"
+
+ echo $CC -G $ldflags -o $library $optflags $FILES $libdirfl $liblist
+ $CC -G $ldflags -o $library $optflags $FILES $libdirfl $liblist
+ stat=$?
+ ;;
*-*-solaris*)
FILES=`for i
do